Subject: Re: [dnsext] about draft-hoffman-dnssec-ecdsa-03.txt

From: "Jeffrey A. Williams" <[email-masked]>
Date: Wed, 18 Aug 2010 16:13:52 -0500 (GMT-05:00)

Francis and all,

  My responses are in-line this time around, see below...

-----Original Message-----
>From: Francis Dupont <[email-masked]>
>Sent: Aug 18, 2010 3:25 PM
>To: [email-masked]
>Subject: [dnsext] about draft-hoffman-dnssec-ecdsa-03.txt
>
>I have 3 questions/comments/concerns about this document:
>
> 1- IMHO the SHA-384 DS spec should be moved into a stand-alone
>  document. BTW:
>   * the relationship between ECDSA and SHA-384 DS is unclear,
>    at least it was not written down.
>   * there is no equivalent of the RFC 4509 6.1. This is true
>    for GOST (RFC 5933) too, i.e., we need a document about
>    relative strengths of DS algorithms (a relative ordering)
>    and what to do in order to avoid downgrade attacks, even
>    I don't believe we already have a real world problem.

  i strongly disagree.  There already are avaliable hacks 
for key strengts/sizes up to 1024k.  Downgrade attacks are
much more likely with a standard that is less than 1024k.
>
> 2- some informative details are missing, for instance a private
>  key is a (big) number of the same size than the EC group.

  agreed here.
>
> 3- the last point can become more important: with previous algorithms
>  of the same kind, even for the RSASHA256/RSASHA512 pair, the key
>  size offers the freedom to choose the 'strength'. This is no
>  longer true for ECDSA so if someone wants to use ECDSAP256SHA256
>  for ZSKs and ECDSAP384SHA384 for KSKs (s)he gets some trouble
>  with RFC 4035 requirements, for instance:
>   There MUST be an RRSIG for each RRset using at least one DNSKEY of
>   each algorithm in the zone apex DNSKEY RRset.
>  (BTW these requirements are by them-selves the subject of another
>   discussion).

  Agreed here as well.  However limited or limiting the 'kinds' of  
algorithms gives me some concern presently, although I recognize that
LEA's have problems/issues with unknown or not well documented 'kinds'
of algorithms for perhaps good and obvious reasons.
>
>Thanks
>
>[email-masked]
>

Regards,

Jeffrey A. Williams
Spokesman for INEGroup LLA. - (Over 300k members/stakeholders and growing, strong!)
"Obedience of the law is the greatest freedom" -
   Abraham Lincoln

"Credit should go with the performance of duty and not with what is very
often the accident of glory" - Theodore Roosevelt

"If the probability be called P; the injury, L; and the burden, B; liability
depends upon whether B is less than L multiplied by
P: i.e., whether B is less than PL."
United States v. Carroll Towing  (159 F.2d 169 [2d Cir. 1947]
===============================================================
Updated 1/26/04
CSO/DIR. Internet Network Eng. SR. Eng. Network data security IDNS. div. of
Information Network Eng.  INEG. INC.
ABA member in good standing member ID 01257402 E-Mail [email-masked]
Phone: 214-244-4827